Subject: [CCAMP] MIB for manual management of WDM connections

From: Igor Bryskin <[email-masked]>
Date: Tue, 24 Jan 2012 15:05:17 +0000

Hi,

Can anyone tell me which RFC describes a MIB for managing WDM layer connections (cross-connects, termination, etc.) hop-by-hop via Management Plane?

Thanks,
Igor

---

From: "BRUNGARD, DEBORAH A" <[email-masked]>
Date: Tue, 24 Jan 2012 16:02:02 +0000

Hi Igor,

Not sure what you are looking for - RFC3591 has MIBs and there's new work in ccamp on G.698.2.

Deborah

From: [email-masked] [mailto:[email-masked]] On Behalf Of Igor Bryskin
Sent: Tuesday, January 24, 2012 10:05 AM
To: [email-masked]
Subject: [CCAMP] MIB for manual management of WDM connections

Hi,

Thanks,
Igor

---

From: Igor Bryskin <[email-masked]>
Date: Tue, 24 Jan 2012 16:44:40 +0000

Deborah,
>From RFC3591:

"This memo does not define MIB objects for optical system cross-
   connects.  After a consensus is reached on definitions of the
   interface MIB objects for optical systems (resulting from resolution
   of discussions on the objects proposed in this memo), work can
   progress on the definitions of tables to represent cross-connects
   (e.g., OCh optical cross-connects and ODUk electrical cross-
   connects)."

I am actually looking for a standard MIB that would allow me to configure end-to-end and hop-by-hop WDM layer connections.

Igor

From: BRUNGARD, DEBORAH A [mailto:[email-masked]]
Sent: Tuesday, January 24, 2012 11:02 AM
To: Igor Bryskin; [email-masked]
Subject: RE: MIB for manual management of WDM connections

Hi Igor,

Deborah

Hi,

Thanks,
Igor

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 24 Jan 2012 18:42:55 -0000

I would use the GMPLS MIB modules.
 
In particular, I would use the LSR MIB module (RFC4803). If you look at section
4.2 you will find a description of configuring static LSPs.
 
You might find that some of the detailed parameters for recent optical
developments are lacking. In particular, I don't think the IANA Textual
Conventions at http://www.iana.org/assignments/ianagmplstc-mib has been updated
recently.
 
Adrian
 
From: [email-masked] [mailto:[email-masked]] On Behalf Of Igor
Bryskin
Sent: 24 January 2012 16:45
To: BRUNGARD, DEBORAH A; [email-masked]
Subject: Re: [CCAMP] MIB for manual management of WDM connections
 
Deborah,
 
I am actually looking for a standard MIB that would allow me to configure
end-to-end and hop-by-hop WDM layer connections.
 
Igor

Hi Igor,
 
Not sure what you are looking for - RFC3591 has MIBs and there's new work in
ccamp on G.698.2.
 
Deborah
 
From: [email-masked] [mailto:[email-masked]] On Behalf Of Igor
Bryskin
Sent: Tuesday, January 24, 2012 10:05 AM
To: [email-masked]
Subject: [CCAMP] MIB for manual management of WDM connections
 
Hi,
 
Can anyone tell me which RFC describes a MIB for managing WDM layer connections
(cross-connects, termination, etc.) hop-by-hop via Management Plane?
 
Thanks,
Igor

---

From: Igor Bryskin <[email-masked]>
Date: Tue, 24 Jan 2012 19:22:16 +0000

Thanks, this helps.

Igor

From: Adrian Farrel [mailto:[email-masked]]
Sent: Tuesday, January 24, 2012 1:43 PM
To: Igor Bryskin; 'BRUNGARD, DEBORAH A'; [email-masked]
Subject: RE: [CCAMP] MIB for manual management of WDM connections

In particular, I would use the LSR MIB module (RFC4803). If you look at section 4.2 you will find a description of configuring static LSPs.

You might find that some of the detailed parameters for recent optical developments are lacking. In particular, I don't think the IANA Textual Conventions at http://www.iana.org/assignments/ianagmplstc-mib has been updated recently.

Adrian

Deborah,

Igor

Hi Igor,

Deborah

Hi,

Thanks,
Igor